## ros-kinetic-pyzmp 0.0.17

=== debian/changelog ===
ros-kinetic-pyzmp (0.0.17-0xenial) xenial; urgency=high

  * Removing quantified code badge. added gitchangelog config. [AlexV]
  * Improved tutorial. [AlexV]
  * Fixing coprocess test. [AlexV]
  * Now passing arguments to context generators. [AlexV]
  * Extracted coprocess from node. tests passing. [AlexV]
  * Added test to ensure update is called once before we return control
    from start() call. [AlexV]
  * Update twine from 1.8.1 to 1.11.0. [pyup-bot]
  * Typo. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Wed, 17 May 2017 22:00:00 -0000

ros-kinetic-pyzmp (0.0.16-0xenial) xenial; urgency=high

  * V0.0.16. [alexv]
  * Signaling node start after checking for exit request, to guarantee at
    least one call to update. [alexv]
  * Now signalling started before running target function. improved error
    handling on socket bind. [alexv]
  * Bumping version since we have an API change. [alexv]
  * Default node name is now uuid. now returning svc address on node
    start. [alexv]

 -- AlexV <asmodehn@gmail.com>  Wed, 17 May 2017 22:00:00 -0000

ros-kinetic-pyzmp (0.0.15-0xenial) xenial; urgency=high

  * Preparing 0.0.15. [AlexV]
  * Update gitchangelog from 2.4.1 to 3.0.3. [pyup-bot]
  * Now able to create daemon nodes. [alexv]
  * Adding very basic node process watcher. [AlexV]
  * Refining setproctitle usage. [AlexV]
  * Small description change. [alexv]
  * Importing modules for rosdevelop command only when that command is run
    so they are not dependencies for the python package itself. [alexv]
  * Removing cmake lists from repo. to build among ros sources, use the
    rosdevelop command. [alexv]
  * First version of rosdevelop setup.py command. [alexv]
  * Fancy badges for README. [alexv]
  * Fixing travis badge for ros release. [AlexV]
  * Pin gitchangelog to latest version 2.4.1. [pyup-bot]
  * Pin twine to latest version 1.8.1. [pyup-bot]
  * Integrating setproctitle inside the node.run() method. [AlexV]
  * Added reference to pyzmp tutorials in readme. [dhiraj dhule]
  * Cleaned up node logs. fixed node update test. [alexv]
  * Adding badge for ROS release build. [alexv]

 -- AlexV <asmodehn@gmail.com>  Mon, 01 May 2017 22:00:00 -0000

ros-kinetic-pyzmp (0.0.14-0xenial) xenial; urgency=high

  * Preparing 0.0.14. [alexv]
  * Removing release shell script. now done from setup.py. [alexv]
  * Removing package.xml. doing thirdparty release from release repo now.
    [alexv]
  * Moving docs to doc. [alexv]
  * Added doc-requirements. [AlexV]
  * Added tutorial and example changelog generated with gitchangelog.
    [AlexV]
  * More docs about process managers... [AlexV]
  * Added very basic rpc tutorial. [AlexV]
  * First doc version generated with sphinx-apidoc. added CHANGELOG.
    [AlexV]

 -- AlexV <asmodehn@gmail.com>  Tue, 09 Aug 2016 22:00:00 -0000

ros-kinetic-pyzmp (0.0.13-0xenial) xenial; urgency=high

  * Preparing 0.0.13. [alexv]
  * Retrieving changes from indigo-devel, because it s building now and
    ready to be offloaded to release repo as patches. [alexv]
  * Improved setup.py. now relying on twine for release. [alexv]
  * Preparing version 0.0.12. [alexv]

 -- AlexV <asmodehn@gmail.com>  Tue, 09 Aug 2016 22:00:00 -0000

ros-kinetic-pyzmp (0.0.12-0xenial) xenial; urgency=high

  * Preparing version 0.0.12. [alexv]
  * Synchronizing package version for ROS. [alexv]
  * Improving self test. [AlexV]
  * Refining tox venvs to not use them for development. [AlexV]
  * Reviewing tox and tests. [AlexV]
  * Filling in README. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Mon, 08 Aug 2016 22:00:00 -0000

ros-kinetic-pyzmp (0.0.11-0xenial) xenial; urgency=high

  * Preparing version 0.0.11. [alexv]
  * Listing pytest last in th dependency list to solve https://github.com
    /pytest-dev/pytest/issues/1652. [alexv]

 -- AlexV <asmodehn@gmail.com>  Wed, 22 Jun 2016 22:00:00 -0000

ros-kinetic-pyzmp (0.0.10-0xenial) xenial; urgency=high

  * Preparing version 0.0.10. [alexv]
  * Documenting test methods to make quantifiedcode happy. [alexv]
  * Updated quantifiedcode badge to point to correct project. [alexv]
  * Return exitcode 0 if update ran, but never returned one. made run()
    method overridable more or less like Process.run() fixed confusion
    between run&update arguments cosmetics. [alexv]
  * Change on API for shutdown and run/target. now process a lazy delegate
    to allow easy restart. [AlexV]
  * Small node improvements. WIP. [AlexV]
  * Reviewing how we use zmp nodes and improving tests... WIP. [alexv]
  * Making default behavior (call start() without args) bw compatible ( we
    don't know if node has started just yet) [alexv]
  * Making default timeout infinite for start() and shutdown() just like
    multiprocessing.Process. [alexv]
  * Waiting for node to be initialized before returning from start() call.
    made start() more determinist, tests more stricts, and added timeouts
    on start() and shutdown() [alexv]
  * Removing site-packages since this is a pure python project. ROS test
    somewhere else. [alexv]
  * Revert "travis with sudo to be able to install ros." [alexv]This reverts commit 7b59cdf84f4e83a8cb0f2c3242e64667d29323da.
  * Revert "adding ROS install for travis tests" [alexv]This reverts commit 518fdadeca719e64140814b39a3c185b6da649d7.
  * Travis with sudo to be able to install ros. [alexv]
  * Calling py.test directly from tox. [alexv]
  * Adding ROS install for travis tests. [alexv]
  * Added files required by catkin-pip. [alexv]
  * Now using pytest for testing. [alexv]
  * Fixing release script tag command. [alexv]

 -- AlexV <asmodehn@gmail.com>  Wed, 22 Jun 2016 22:00:00 -0000

ros-kinetic-pyzmp (0.0.9-0xenial) xenial; urgency=high

  * Removed bloom from release script. tested with testpypi. [alexv]
  * Small travis improvement. preparing v0.0.9. [alexv]
  * Now using pytest and tox for testing. [alexv]
  * Removing package.xml from manifest. [alexv]
  * Adding basic travis first config. [alexv]

