=== debian/control ===
Source: ros-kinetic-pyzmp
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-pytest, python-zmq, ros-kinetic-catkin (>= 0.6.18), ros-kinetic-catkin-pip (>= 0.2.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pyzmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-zmq
Description: Python Multiprocess Management Framework, based on ZeroMQ communication
